Skip to main content
`Ctrl`+`K`

# PCLMVMGetMatLMVM

Returns a pointer to the underlying `MATLMVM` matrix.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLMVMGetMatLMVM(PC pc, Mat *B)

## Input Parameter

- pc - An `PCLMVM` preconditioner

## Output Parameter

- B - `MATLMVM` matrix used by the preconditioner

## See Also

KSP: Linear System Solvers, `PCLMVMSetMatLMVM()`

## Level

intermediate

## Location

src/ksp/pc/impls/lmvm/lmvmpc.c

## Examples

src/tao/unconstrained/tutorials/eptorsion1.c
src/tao/unconstrained/tutorials/eptorsion3.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages